Subject: Re: [PATCH] arm64/daifflags: Make local_daif_*() helpers __always_inline

From: Leonardo Bras <[email-masked]>
Date: Tue, 19 May 2026 12:38:16 +0100

On Tue, May 19, 2026 at 11:39:46AM +0100, Will Deacon wrote:
> On Mon, Apr 27, 2026 at 03:01:26PM +0100, Leonardo Bras wrote:
> > Make sure those helpers are always inlined and instrumentation safe.
> > 
> > Signed-off-by: Leonardo Bras <[email-masked]>
> > ---
> >  arch/arm64/include/asm/daifflags.h | 10 +++++-----
> >  1 file changed, 5 insertions(+), 5 deletions(-)
> 
> b4 really doesn't like this patch being a reply to another one, so I'm
> just replying to say that I've picked it up manually.
> 
> Cheers,
> 
> Will

Hi Will, 

Noted. I will avoid doing this in the future.

Thanks!
Leo